from fastapi import APIRouter

from app.api.v1.endpoints import users, auth, gifts, preferences, recommendations, health

api_router = APIRouter()
api_router.include_router(health.router, prefix="/health", tags=["health"])
api_router.include_router(auth.router, prefix="/auth", tags=["auth"])
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(gifts.router, prefix="/gifts", tags=["gifts"])
api_router.include_router(preferences.router, prefix="/preferences", tags=["preferences"])
api_router.include_router(recommendations.router, prefix="/recommendations", tags=["recommendations"])